@charset "UTF-8";
/*--------------------------------------------------
釣りスポットページ
--------------------------------------------------*/
body {
  overflow-x: clip;
}

/*  セクション余白　*/
.hokkaido {
  padding-block: 8.5rem 3rem;
  scroll-margin-top: -2.5rem;
}
@media (min-width: 768px) {
  .hokkaido {
    padding-block: 6rem 3rem;
    scroll-margin-top: 3rem;
  }
}

.touhoku {
  padding-block: 3rem 3rem;
  scroll-margin-top: 3rem;
}
@media (min-width: 768px) {
  .touhoku {
    padding-block: 5.3rem 3rem;
    scroll-margin-top: 3.7rem;
  }
}

.kantou {
  padding-block: 4.4rem 3rem;
  scroll-margin-top: 1.6rem;
}
@media (min-width: 768px) {
  .kantou {
    padding-block: 6rem 3rem;
    scroll-margin-top: 3rem;
  }
}

.chubu {
  padding-block: 3.8rem 3rem;
  scroll-margin-top: 2.2rem;
}
@media (min-width: 768px) {
  .chubu {
    padding-block: 6rem 3rem;
    scroll-margin-top: 3rem;
  }
}

.kansai {
  padding-block: 4.6rem 3rem;
  scroll-margin-top: 1.4rem;
}
@media (min-width: 768px) {
  .kansai {
    padding-block: 6rem 3rem;
    scroll-margin-top: 3rem;
  }
}

.chugoku {
  padding-block: 5.5rem 3rem;
  scroll-margin-top: 0.5rem;
}
@media (min-width: 768px) {
  .chugoku {
    padding-block: 6.6rem 3rem;
    scroll-margin-top: 2.4rem;
  }
}

.shikoku {
  padding-block: 6.5rem 3rem;
  scroll-margin-top: -0.5rem;
}
@media (min-width: 768px) {
  .shikoku {
    padding-block: 5rem 3rem;
    scroll-margin-top: 4rem;
  }
}

.kyushu {
  padding-block: 3rem 8rem;
  scroll-margin-top: 3rem;
}
@media (min-width: 768px) {
  .kyushu {
    padding-block: 5.2rem 9rem;
    scroll-margin-top: 3.8rem;
  }
}

/*  セクションタイトルあしらい */
.section-title--hokkaido,
.section-title--touhoku,
.section-title--kantou,
.section-title--chubu,
.section-title--kansai,
.section-title--chugoku,
.section-title--shikoku,
.section-title--kyushu {
  position: relative;
}
.section-title--hokkaido::before,
.section-title--touhoku::before,
.section-title--kantou::before,
.section-title--chubu::before,
.section-title--kansai::before,
.section-title--chugoku::before,
.section-title--shikoku::before,
.section-title--kyushu::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  z-index: -10;
}

.section-title--hokkaido::before {
  top: -6rem;
  left: -4.2rem;
  width: 34.3rem;
  height: 24.4rem;
  aspect-ratio: 343/244;
  background-image: url("../images/spot/spot_deco_hokkaido.svg");
}
@media (min-width: 768px) {
  .section-title--hokkaido::before {
    top: 0;
    left: -5rem;
  }
}
@media (min-width: 1280px) {
  .section-title--hokkaido::before {
    left: -12.3rem;
  }
}

.section-title--touhoku::before {
  top: -6.9rem;
  right: -1.3rem;
  width: 12.8rem;
  height: 27rem;
  aspect-ratio: 128/270;
  background-image: url("../images/spot/spot_deco_touhoku.svg");
}
@media (min-width: 768px) {
  .section-title--touhoku::before {
    top: -8rem;
    right: -5.6rem;
    width: 14.1rem;
    height: auto;
  }
}

.section-title--kantou::before {
  top: 2.2rem;
  left: -3.8rem;
  width: 18.5rem;
  height: 19.6rem;
  aspect-ratio: 185/196;
  background-image: url("../images/spot/spot_deco_kantou.svg");
}
@media (min-width: 768px) {
  .section-title--kantou::before {
    top: -3rem;
    left: -4rem;
    width: 25.6rem;
    height: auto;
  }
}
@media (min-width: 1280px) {
  .section-title--kantou::before {
    left: -13.7rem;
  }
}

.section-title--chubu::before {
  top: -5rem;
  right: -1.1rem;
  width: 23rem;
  height: 25.6rem;
  aspect-ratio: 230/256;
  background-image: url("../images/spot/spot_deco_chubu.svg");
}
@media (min-width: 768px) {
  .section-title--chubu::before {
    top: -6.5rem;
    right: -4rem;
    width: 24.6rem;
    height: auto;
  }
}
@media (min-width: 1280px) {
  .section-title--chubu::before {
    right: -13rem;
  }
}

.section-title--kansai::before {
  top: -5rem;
  left: -2.3rem;
  width: 24rem;
  height: 24rem;
  aspect-ratio: 1;
  background-image: url("../images/spot/spot_deco_kansai.svg");
}
@media (min-width: 768px) {
  .section-title--kansai::before {
    top: -4rem;
    left: -6rem;
    width: 26rem;
    height: auto;
  }
}

.section-title--chugoku::before {
  top: -9.7rem;
  right: -1.4rem;
  width: 27rem;
  height: 22rem;
  aspect-ratio: 270/220;
  background-image: url("../images/spot/spot_deco_chugoku.svg");
}
@media (min-width: 768px) {
  .section-title--chugoku::before {
    top: -1.6rem;
    right: -3.5rem;
    width: 27.3rem;
    height: auto;
  }
}
@media (min-width: 1280px) {
  .section-title--chugoku::before {
    right: -10.4rem;
  }
}

.section-title--shikoku::before {
  top: -5.1rem;
  left: -4.4rem;
  width: 25rem;
  height: 21rem;
  aspect-ratio: 250/210;
  background-image: url("../images/spot/spot_deco_shikoku.svg");
}
@media (min-width: 768px) {
  .section-title--shikoku::before {
    top: -3.4rem;
    left: -4.7rem;
    width: 25rem;
    height: auto;
  }
}

.section-title--kyushu::before {
  top: -10rem;
  right: -11.6rem;
  width: 28rem;
  height: 40rem;
  background-image: url("../images/spot/spot_deco_kyushu.svg");
}
@media (min-width: 768px) {
  .section-title--kyushu::before {
    top: -5.5rem;
    right: -14.3rem;
    aspect-ratio: 280/364;
    width: 29.6rem;
    height: auto;
  }
}

/* その他スタイル */
.spot__grid {
  margin-top: 3.3rem;
}
@media (min-width: 768px) {
  .spot__grid {
    gap: 3.3rem 3%;
    margin-top: 4.5rem;
  }
}

.spot__name {
  display: block;
  font-size: 1.4rem;
  line-height: 1.4285714286;
  letter-spacing: 0.05em;
  margin-top: 0.7rem;
}
@media (min-width: 768px) {
  .spot__name {
    font-size: 1.6rem;
    line-height: 1.875;
    margin-top: 0.8rem;
  }
}

.grid__image--with-badge {
  position: relative;
}

.grid__image-badge {
  position: absolute;
  top: -1.5rem;
  right: -1.4rem;
  display: grid;
  place-content: center;
  font-size: 1.3rem;
  text-align: center;
  line-height: 1.2307692308;
  width: 6.7rem;
  height: 6.7rem;
  background-color: #00c3db;
  border-radius: 50%;
}
@media (min-width: 768px) {
  .grid__image-badge {
    top: -1.8rem;
    right: -1.8rem;
    font-size: 1.4rem;
    line-height: 1.1428571429;
    width: 7rem;
    height: 7rem;
    padding-block: 1.2rem;
  }
}

.sub-title--safety {
  font-size: 1.8rem;
}
@media (min-width: 768px) {
  .sub-title--safety {
    font-size: 2.2rem;
  }
}